#
# spec file for package python-nine
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-nine
Version:        1.2.0
Release:        1.1
Summary:        Python 2 / 3 compatibility, like six, but favouring Python 3
License:        SUSE-Public-Domain
Group:          Development/Languages/Python
URL:            https://github.com/nandoflorestan/nine
Source:         https://files.pythonhosted.org/packages/source/n/nine/nine-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module poetry}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
python-nine is python-six "turned around": whereas python-six used
to make python2 idioms work in python3, python-nine makes python3
idioms work in python2.

%prep
%setup -q -n nine-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE.rst
%doc README.rst
%{python_sitelib}/nine
%{python_sitelib}/nine-%{version}.dist-info

%changelog
* Mon Feb 17 2025 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- Update to 1.2.0
  * Add to setup.py some Python versions
  * Format Python code with black
  * Unimportant. Format code with black.
  * Python 3.14 removes URLopener & FancyURLopener
  * Replace setup.py with pyproject.toml
- Limit Python files matched in %%files section
- Remove duplicate Python files
  * Add fdupes to BuildRequires
  * Run fdupes command in %%install section
- Switch package to modern Python Stack on SLE-15
  * Use Python 3.11 on SLE-15 by default
  * Drop support for older Python versions
- Switch build system from setuptools to pyproject.toml
  * Add python-pip and python-wheel to BuildRequires
  * Replace %%python_build with %%pyproject_wheel
  * Replace %%python_install with %%pyproject_install
- Update BuildRequires from pyproject.toml
* Mon Mar 30 2020 pgajdos@suse.com
- version update to 1.1.0
  * no upstream changelog found
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Mon Jul 10 2017 jengelh@inai.de
- Fix irrelevant description.
* Thu Jun 29 2017 tbechtold@suse.com
- Initial packaging (version 1.0.0)
